Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::PortDescription Interface Reference

`import "CCM_Base.idl";`

Inheritance diagram for Components::PortDescription:

[legend]
List of all members.

## Public Attributes
public FeatureName | Name
public CORBA::RepositoryId | type_id

## Member Data Documentation

public FeatureName Components::PortDescription::Name

public CORBA::RepositoryId Components::PortDescription::type_id

The documentation for this interface was generated from the following files:

- CCM_Base.idl
- Component_Base.idl